> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Configurations

> Retrieve the list of webhook configurations that are currently active for your account.



## OpenAPI

````yaml GET /webhook
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /webhook:
    get:
      description: >-
        Retrieve the list of webhook configurations that are currently active
        for your account.
      responses:
        '200':
          description: List of webhook configurations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get-webhooks-response'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    get-webhooks-response:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/webhook-config'
          description: List of webhook configurations
      required:
        - data
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
    webhook-config:
      type: object
      properties:
        webhookConfigId:
          type: string
          description: Unique identifier for the webhook configuration
          example: whc_gKAi2oZN1AeU7BfV
        webHookUrl:
          type: string
          description: Webhook endpoint URL that was registered
          example: https://your-webhook-endpoint.com/webhook
        eventSigner:
          type: string
          description: Secret used to sign outgoing events
          example: secret_key
        subscribedEventTypes:
          type: array
          items:
            type: string
          description: Events configured for this webhook
          example:
            - intent.checkout_opened
            - intent.created
            - intent.failed
            - intent.refunded
            - intent.success
            - subscription.trialing
            - subscription.cycle_charged
        isActive:
          type: boolean
          description: Indicates whether the webhook configuration is active
          example: true
      required:
        - webhookConfigId
        - webHookUrl
        - eventSigner
        - subscribedEventTypes
        - isActive
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````